# AdminInputDialog.ADMIN_TYPE
Date: 2018-07-30

kr.co.hanwha.hifive.admin

## Enum AdminInputDialog.ADMIN_TYPE

- java.lang.Object
- - java.lang.Enum<AdminInputDialog.ADMIN_TYPE>
  - - kr.co.hanwha.hifive.admin.AdminInputDialog.ADMIN_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AdminInputDialog.ADMIN_TYPE>

Enclosing class:
  AdminInputDialog

    public static enum AdminInputDialog.ADMIN_TYPE
    extends java.lang.Enum<AdminInputDialog.ADMIN_TYPE>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PASSWORD`
`RESET_PASSWORD`
`TASK_ID`
`URL`

### Method Summary

All Methods Static Methods Concrete Methods
`static AdminInputDialog.ADMIN_TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AdminInputDialog.ADMIN_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PASSWORD

    public static final AdminInputDialog.ADMIN_TYPE PASSWORD

#### URL

    public static final AdminInputDialog.ADMIN_TYPE URL

#### RESET_PASSWORD

    public static final AdminInputDialog.ADMIN_TYPE RESET_PASSWORD

#### TASK_ID

    public static final AdminInputDialog.ADMIN_TYPE TASK_ID

### Method Detail

#### values

    public static AdminInputDialog.ADMIN_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AdminInputDialog.ADMIN_TYPE c : AdminInputDialog.ADMIN_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AdminInputDialog.ADMIN_TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null